searchNodes=[{"doc":"A sigil (~q) to make it easier to compose together SQL expressions. A SQL expression consists of a statement and interpolated variables. Expressions themselves can be interpolated and will be flattened.","ref":"PostgresSigil.html","title":"PostgresSigil","type":"module"},{"doc":"Append the given variable to the SQL expression. It will be added as position parameter and the value will go into bindings. Non boolean atoms will be converted into strings.","ref":"PostgresSigil.html#append/2","title":"PostgresSigil.append/2","type":"function"},{"doc":"Appends a DB identifier (i.e. a column name) to the query. It is enclosed in double quotes so any quotes within the name are escaped.","ref":"PostgresSigil.html#append_identifier/2","title":"PostgresSigil.append_identifier/2","type":"function"},{"doc":"Escape hatch for appending arbitrary data to the query without any escaping Obviously doing this can lead to SQL injection vulnerabilities so be careful but there are legitimate reasons to want to do this from time to time.","ref":"PostgresSigil.html#append_unsafe/2","title":"PostgresSigil.append_unsafe/2","type":"function"},{"doc":"Append variable(s) to the SQL query enclosed in brackets, for inserts / updates. Multiple variables can be passed by using a tuple. Lists are interpreted to be bulk inserts, so will generate multiple bracket-enclosed sequences.","ref":"PostgresSigil.html#append_values/2","title":"PostgresSigil.append_values/2","type":"function"},{"doc":"Lift a plain string into a SQL expression with no variables","ref":"PostgresSigil.html#lift/1","title":"PostgresSigil.lift/1","type":"function"},{"doc":"This macro rewrites interpolated values into calls to Siql.append For inserts and updates you can wrap the variables in values()","ref":"PostgresSigil.html#sigil_q/2","title":"PostgresSigil.sigil_q/2","type":"macro"},{"doc":"Turn the SQL into a tuple of the statement &amp; bindings","ref":"PostgresSigil.html#to_tuple/1","title":"PostgresSigil.to_tuple/1","type":"function"},{"doc":"Provides functions to run queries with Ecto.","ref":"PostgresSigil.Ecto.html","title":"PostgresSigil.Ecto","type":"module"},{"doc":"Run the query with explain and write it to a file. This is for debugging during development.","ref":"PostgresSigil.Ecto.html#explain_to_file!/3","title":"PostgresSigil.Ecto.explain_to_file!/3","type":"function"},{"doc":"Syntax sugar to build the query string &amp; pass it and bindings to Ecto.query!. We use apply to avoid depending explicitly on Ecto.","ref":"PostgresSigil.Ecto.html#query!/2","title":"PostgresSigil.Ecto.query!/2","type":"function"},{"doc":"Utility for explaining queries. Rather than calling this directly you should use the explain_to_file! functions in Postgres / Ecto.","ref":"PostgresSigil.Explain.html","title":"PostgresSigil.Explain","type":"module"},{"doc":"Surround the query in an explain call which also jsonifies the output, ready to be pasted into analysis tools like https://explain.dalibo.com/ This module uses the same JSON library as Postgrex is configured to use.","ref":"PostgresSigil.Explain.html#explain/3","title":"PostgresSigil.Explain.explain/3","type":"function"},{"doc":"Provides functions to run queries with Postgrex.","ref":"PostgresSigil.Postgrex.html","title":"PostgresSigil.Postgrex","type":"module"},{"doc":"Run the query with explain and write it to a file. This is for debugging during development.","ref":"PostgresSigil.Postgrex.html#explain_to_file!/3","title":"PostgresSigil.Postgrex.explain_to_file!/3","type":"function"},{"doc":"Syntax sugar to build the query string &amp; pass it and bindings to Postgrex.query!. We use apply to avoid depending explicitly on Postgrex.","ref":"PostgresSigil.Postgrex.html#query!/2","title":"PostgresSigil.Postgrex.query!/2","type":"function"},{"doc":"Functions that operate on Postgrex results to make it easier to extract values from them","ref":"PostgresSigil.Results.html","title":"PostgresSigil.Results","type":"module"},{"doc":"Returns whether any rows have come back","ref":"PostgresSigil.Results.html#exists/1","title":"PostgresSigil.Results.exists/1","type":"function"},{"doc":"Extract the number of rows affected by the SQL operation","ref":"PostgresSigil.Results.html#num_rows/1","title":"PostgresSigil.Results.num_rows/1","type":"function"},{"doc":"Given a result set, ensure it either contains exactly one value. In all other cases a match error will be thrown","ref":"PostgresSigil.Results.html#single_value!/1","title":"PostgresSigil.Results.single_value!/1","type":"function"},{"doc":"Given a result set, ensure it either contains exactly one value or no values at all, in which case nil will be returned. The second argument is an optional function to apply to the value if it isn't nil.","ref":"PostgresSigil.Results.html#single_value_or_nil!/2","title":"PostgresSigil.Results.single_value_or_nil!/2","type":"function"},{"doc":"Zip the returned column names with the rows to produce a list of maps, where each key is the column name.","ref":"PostgresSigil.Results.html#to_maps/2","title":"PostgresSigil.Results.to_maps/2","type":"function"},{"doc":"Turn the results into a list of maps, then turn them into a struct. If any required keys are missing an exception will be raised.","ref":"PostgresSigil.Results.html#to_structs!/2","title":"PostgresSigil.Results.to_structs!/2","type":"function"},{"doc":"Struct that consists of a query statement and variable bindings","ref":"PostgresSigil.Sql.html","title":"PostgresSigil.Sql","type":"module"},{"doc":"","ref":"PostgresSigil.Sql.html#t:t/0","title":"PostgresSigil.Sql.t/0","type":"type"}]